/* $Id$ */
#if !defined CMSIMAGE_H
#define CMSIMAGE_H

#include "imageset.h"
#include "cmsprofile.h"

Image *image_transform_new(Image *image_in, CmsProfile *profile_in, CmsProfile *profile_out);
void image_transform_data(Image *image_in, CmsProfile *profile_in, Image *image_out, CmsProfile *profile_out);
void image_transform_palette(Image *image_in, CmsProfile *profile_in, Image *image_out, CmsProfile *profile_out);

void cms_data_transform(unsigned char *data_in, ImageType type_in, CmsProfile *profile_in, unsigned char *data_out, ImageType type_out, CmsProfile *profile_out, unsigned int len);

#endif /* !CMSIMAGE_H */
